<?xml version="1.0" encoding="UTF-8"?>  
<!DOCTYPE device SYSTEM "hpzsclhn.dtd">
<device>
   <software>
      <file_header>
         <file_name>hpw2200t.xml</file_name>
          <file_version>053.2511</file_version>
          <file_timestamp>08/28/2006</file_timestamp>
      </file_header>
      <component>
         <name>Mombi</name>
         <helper>
            <name></name>                      <!-- developed by ashutosh agrawal -->
            <events><!--    =========================================    --><!--                DMCInstallTime                   --><!--     called during DMC Install Time (Import)     --><!--    =========================================    -->
          <event>
            <name>DMCInstallTime</name>
            <macro_name>macro_PrintQualityImport</macro_name>
          </event><!--    =========================================    --><!--                DMCUpgradeTime                   --><!--     called during DMC Upgrade Time (Export)     --><!--    =========================================    -->
          <event>
            <name>DMCUpgradeTime</name>
            <macro_name>macro_PrintQualityExport</macro_name>
          </event>
        </events>
        
            <!-- put a name if we have multiple helpers-->
            <features>

            <!-- ========================================= -->
            <!--                HPInput ColorSpace         -->
            <!--                                           -->
            <!-- ========================================= -->
            <feature>
                  <name>HPInputColorSpace</name>
                  <macro_name>macro_HPInputColorSpace</macro_name>
            </feature>

            <!-- ========================================= -->
            <!--     Emulate LaserJet Margins              -->
            <!-- ========================================= -->
                <feature>
                <name>HP_Emulate_Margins</name>
                <switch>
                <name>Paper_Dimensions</name>
                <case_default>
                      <data>200_200_200_200</data>
               </case_default>
               </switch>
               </feature>
            <!--  Features are Paper size, Media Type and Print Quality -->
             <!-- =========================================== -->
             <!--                  Paper Size                 -->
             <!-- =========================================== -->
             <feature>
                 <name>PaperSize</name>
                 <macro_name>macro_PaperSize</macro_name>
             </feature>
               <!-- ========================================= -->
               <!--                 MediaType                 -->
               <!-- ========================================= -->
               <feature>
                  <name>MediaType</name>
                  <macro_name>macro_MediaType</macro_name>
               </feature>
               <!-- ========================================= -->
               <!--           Print Quality Group             -->
               <!--   Options are as follows                  -->
               <!--   (a) PQGroup_1 - Best                    -->
               <!--   (b) PQGroup_2 - Normal                  -->
               <!--   (c) PQGroup_3 - FastDraft               -->
               <!--   (d) PQGroup_4 - Fast Normal             -->
               <!--   (e) PQGroup_5 - 4800x1200               -->              
               <!-- ========================================= -->
               <feature>
                  <name>PrintQualityGroup</name>
                  <macro_name>macro_PrintQualityGroup</macro_name>
               </feature>
              <feature>
                <name>CustomSize</name>
                <macro_name>macro_custom_size</macro_name>            
              </feature> 
              <feature>
                 <name>ICCProfileFileName</name>
                 <macro_name>macro_ICCProfileFileName</macro_name>
              </feature>
              <feature>
                 <name>InstalledPenSet_Premium</name>
                 <macro_name>macro_InstalledPenSet_Premium</macro_name>
              </feature>             
              <feature>
                 <name>InstalledPenSet_PremiumPlusPhoto</name>
                 <macro_name>macro_InstalledPenSet_PremiumPlusPhoto</macro_name>
              </feature>
              
            </features>
        
           <macros>

           <macro>
              <name>macro_HPInputColorSpace</name>
              <switch>
                 <name>HPInputColorSpace</name>
                 <case>
                    <name>ADOBERGB</name>
                    <select_option>PrintQualityGroup.PQGroup_1</select_option>
                    <select_option>HPRedEyeReduction.Off</select_option>
                    <select_option>HPSmartFocus.Off</select_option>
                    <select_option>HPContrast.On</select_option>
                    <select_option>HPDigitalFlash.On</select_option>
                    <select_option>HPSharpness.On</select_option>
                    <select_option>HPSmoothing.On</select_option>
                    <resource_id>3996</resource_id>
                    <resource_id>3996</resource_id>
                    <resource_id>968</resource_id>
                 </case>
               
               
                 <case_default>
                     <select_option>HPRedEyeReduction.Off</select_option>
                     <select_option>HPSmartFocus.On</select_option>
                     <select_option>HPContrast.Off</select_option>
                     <select_option>HPDigitalFlash.On</select_option>
                     <select_option>HPSharpness.Off</select_option>
                     <select_option>HPSmoothing.Off</select_option>
                     <resource_id>3996</resource_id>
                     <resource_id>3996</resource_id>
                     <resource_id>968</resource_id>
                 </case_default>
              </switch>
           </macro> 
            
            <macro>
                <name>macro_pop_up_MinimizeMargin</name>
                <title>876</title> 
                <icon>MB_ICONWARNING</icon>
                <string_id>4387</string_id>    
                <message_type>MB_OKCANCEL</message_type>                                     
                <showpopup>MSG_BOX</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Missing_Duplexer</name>
              <title>4319</title>                   
              <string_id>4320</string_id>    
              <butt1>4330</butt1>
              <butt2>4342</butt2>                                                  
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
           
            <macro>
            <name>macro_PaperSize</name>
            <switch>
              <name>PaperSize</name>
               <case>
                  <name>ENV_A2</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
               <case>
                  <name>A4</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
               <case>
                  <name>A5</name>
                  <select_option>MediaType.PLAIN</select_option>
               </case>
               <case>
                  <name>A6</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
               <case>
                  <name>B5</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
               <case>
                  <name>HP_BORDERLESS_PHOTO_4_X_6_IN</name>
                  <select_option>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</select_option>
               </case>
               <case>
                  <name>HP_BORDERLESS_PHOTO_4_X_6_IN_WT</name>
                     <select_option>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</select_option>
               </case>
               
               <case>
                  <name>ENV_C6</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case> 
               <case>
                  <name>ENV_DL</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case> 
              
               <case>
                  <name>EXECUTIVE</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
            
               <case>
                  <name>INDEX_CARD_3X5</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
               <case>
                  <name>INDEX_CARD_4X6</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
               <case>
                  <name>INDEX_CARD_5X8</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
               <case>
                  <name>ENV_10</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
               <case>
                  <name>LETTER</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>  
               <case>
                  <name>LEGAL</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case> 
               
              
               
               <case>
                  <name>HP_BANNER_LETTER</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case>
               <case>
                  <name>HP_BANNER_A4</name>
                  <select_option>MediaType.AUTOMATIC</select_option>
               </case> 
			   
			   
			   <case>
                  <name>HP_BORDERLESS_HAGAKI_CARD</name>
                  <select_option>MediaType.HP_BORDERLESS_HAGAKI_CARD</select_option>
               </case>
			   <case>
                  <name>HAGAKI_CARD</name>
                  <select_option>MediaType.OTHER_INKJET_PAPERS</select_option>
               </case>
			   <case>
                  <name>PHOTO_4X6_IN_WT</name>
                  <select_option>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</select_option>
               </case>
            
            </switch>
              <call>macro_MediaType</call>
          </macro>
          
          <macro>
          <name>macro_HideMaxDpi</name>
                <switch>
                     <name>PaperSize</name>
                    <case>
                        <name>HP_PANORAMA_4_x_12</name>
                        <hide_option>PrintQualityGroup.PQGroup_5</hide_option>
                    </case>
                    <case_default>
                        <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                    </case_default>
            </switch>
        </macro>

         <macro>
           <name>macro_Mediatype_to_PaperSize</name>
                <select_option>PaperSize.LETTER</select_option>
          </macro>
          <macro>
            <name>macro_custom_paper_size</name>
            <select_option>MediaType.AUTOMATIC</select_option>
          </macro>
               <!-- ========================================= -->
               <!--                 MediaType                 -->
               <!-- ========================================= -->
           <macro>
              <name>macro_MediaType</name>
              <!-- ========================================= -->
              <!-- First macro statement                     -->
              <!-- determines which PQ options are           -->
              <!-- displayed for each media type, and        -->
              <!-- select a default PQ option                -->
              <!-- ========================================= -->
          <switch>
            <name>MediaType</name>
              <case>
                <name>AUTOMATIC</name>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>                
              </case>
              <case>
                <name>PLAIN</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option> 
              </case>                            
              <case>
                <name>OTHER_INKJET_PAPERS</name>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>                
              </case>
              
              <case>
                <name>HP_PREMIUM_PHOTO_PAPER_GLOSSY</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>
                          
                 
              <case>
                <name>HP_EVERYDAY_PHOTO_PAPER_MATTE</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>              
              <case>
                <name>OTHER_PHOTO_PAPER</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>
              <case>
                <name>HP_PREMIUM_INKJET_TRANSPARENCY</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>
			  <case>
                <name>HP_PREMIUM_PLUS_INKJET_TRANSPARENCY</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>
              <case>
                <name>OTHER_TRANSPARENCY_FILMS</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>              
              <case>
                <name>HP_IRON_ON_TRANSFER</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>
           
              <case>
                <name>HP_PHOTO_GREETING_CARDS</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>

			  <case>
                <name>HP_MATTE_GREETING_CARDS</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>
            
              <case>
                <name>HP_PROFESSIONAL_BROCHURE_MATTE</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>
              
              <case>
                <name>OTHER_BROCHURE_PAPERS</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>                     
                         
          
              <case>
                <name>HP_PREMIUM_PAPER</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>
             <case>
                <name>HP_BRIGHT_WHITE_PAPER</name>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>
              
              
              <case>
                <name> HP_PREMIUM_HIGH_GLOSS_FILM</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
              <case>
                <name>HP_PREMIUM_PLUS_PHOTO_GLOSSY</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
               <case>
                <name>HP_PREMIUM_PLUS_PHOTO_MATTE</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
               <case>
                <name>HP_PHOTO_PAPER_GLOSSY</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
			  <case>
                <name>HP_COLORFAST_PHOTO_PAPER_GLOSSY</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
			  <case>
                <name>OTHER_SPECIALTY_PAPERS</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
			  <case>
                <name>HP_TEXTURED_GREETING_CARDS</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
			  <case>
                <name>HP_LINEN_GREETING_CARDS</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
			  <case>
                <name>OTHER_GREETING_CARDS</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
			  <case>
                <name>HP_TRIFOLD_BROCHURE_PAPER_GLOSSY</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
			  <case>
                <name>HP_BROCHURE_FLYER_GLOSS</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>                                
              </case>
             <case_default>                
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_4</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case_default>
                  </switch>
                  <!-- ========================================= -->
                  <!-- Second macro statement                    -->
                  <!-- invokes the Print Quality macro           -->
                  <!-- to make selections to Resolution etc      -->
                  <!-- ========================================= -->
                  <call>macro_PrintQualityGroup</call>
               </macro>
               <!-- ========================================= -->
               <!--                 Print Quality             -->
               <!--                                           -->
               <!-- Print Quality macro can be invoked either -->
               <!-- 1. by the Media Type macro, or            -->
               <!-- 2. when the user explicitly selects a PQ  -->
               <!--    setting from the Print Quality control -->
               <!-- ========================================= -->
               <macro>
                  <name>macro_PrintQualityGroup</name>
                  <switch>
                     <name>PrintQualityGroup</name>
                     <case>
                        <name>PQGroup_1</name>
                        <select_option>Resolution.600dpi</select_option>
                        <select_option>PrintQuality.Best</select_option>
                        <select_option>HPRedEyeReduction.Off</select_option>
                        <select_option>HPSmartFocus.On</select_option>
                        <select_option>HPContrast.Off</select_option>
                        <select_option>HPDigitalFlash.On</select_option>
                        <select_option>HPSharpness.Off</select_option>
                        <select_option>HPSmoothing.Off</select_option>
                        <resource_id>3996</resource_id>
                        <resource_id>3996</resource_id>
                        <resource_id>968</resource_id>
                        <switch>
                            <name>HPInputColorSpace</name>
                                <case>
                                    <name>ADOBERGB</name>
                                    <select_option>HPRedEyeReduction.Off</select_option>
                                    <select_option>HPSmartFocus.Off</select_option>
                                    <select_option>HPContrast.On</select_option>
                                    <select_option>HPDigitalFlash.On</select_option>
                                    <select_option>HPSharpness.On</select_option>
                                    <select_option>HPSmoothing.On</select_option>
                                </case>
                                
                            
                        </switch>
                     </case>
                     <case>
                        <name>PQGroup_2</name>
                        <select_option>Resolution.600dpi</select_option>
                        <select_option>PrintQuality.Normal</select_option>
                        <select_option>HPRedEyeReduction.On</select_option>
                        <select_option>HPSmartFocus.On</select_option>
                        <select_option>HPContrast.Off</select_option>
                        <select_option>HPDigitalFlash.Off</select_option>
                        <select_option>HPSharpness.Off</select_option>
                        <select_option>HPSmoothing.Off</select_option>
                        <resource_id>3996</resource_id>
                        <resource_id>3996</resource_id>
                        <resource_id>968</resource_id>
                     </case>
                     <case>
                        <name>PQGroup_3</name>
                        <select_option>Resolution.300dpi</select_option>
                        <select_option>PrintQuality.FastDraft</select_option>
                        <select_option>HPRedEyeReduction.Off</select_option>
                        <select_option>HPSmartFocus.Off</select_option>
                        <select_option>HPContrast.On</select_option>
                        <select_option>HPDigitalFlash.On</select_option>
                        <select_option>HPSharpness.On</select_option>
                        <select_option>HPSmoothing.On</select_option>
                        <resource_id>3995</resource_id>
                        <resource_id>3995</resource_id>
                        <resource_id>968</resource_id>                        
                     </case>
                     <case>
                        <name>PQGroup_4</name>
                        <select_option>Resolution.300dpi</select_option>
                        <select_option>PrintQuality.FastNormal</select_option>
                        <select_option>HPRedEyeReduction.Off</select_option>
                        <select_option>HPSmartFocus.Off</select_option>
                        <select_option>HPContrast.On</select_option>
                        <select_option>HPDigitalFlash.On</select_option>
                        <select_option>HPSharpness.On</select_option>
                        <select_option>HPSmoothing.On</select_option>
                        <resource_id>3996</resource_id>
                        <resource_id>3996</resource_id>
                        <resource_id>968</resource_id> 
                        <call>macro_PrintQualityGroup_PQGroup_4</call>                      
                     </case>
                     <case>
                        <name>PQGroup_5</name>
                        <select_option>Resolution.1200dpi</select_option>
                        <select_option>PrintQuality.4800x1200</select_option>
                        <select_option>HPRedEyeReduction.Off</select_option>
                        <select_option>HPSmartFocus.On</select_option>
                        <select_option>HPContrast.Off</select_option>
                        <select_option>HPDigitalFlash.On</select_option>
                        <select_option>HPSharpness.Off</select_option>
                        <select_option>HPSmoothing.Off</select_option>
                        <resource_id>3997</resource_id>
                        <resource_id>3997</resource_id>
                        <resource_id>3434</resource_id>
                     </case>                     
                  </switch>
               </macro>

               <macro>
               <name>macro_PrintQualityGroup_PQGroup_4</name>
                <switch>
                <name>MediaType</name>
                          
                 <case>
                        <name>HP_PREMIUM_INKJET_TRANSPARENCY</name> 
                        <select_option>Resolution.300dpi</select_option>
                        <resource_id>3995</resource_id>
                        <resource_id>3995</resource_id>
                        <resource_id>968</resource_id>
                 </case>
				 <case>
                        <name>HP_PREMIUM_PLUS_INKJET_TRANSPARENCY</name> 
                        <select_option>Resolution.300dpi</select_option>
                        <resource_id>3995</resource_id>
                        <resource_id>3995</resource_id>
                        <resource_id>968</resource_id>
                 </case>
                 <case>
                        <name>OTHER_TRANSPARENCY_FILMS</name> 
                        <select_option>Resolution.300dpi</select_option>
                        <resource_id>3995</resource_id>
                        <resource_id>3995</resource_id>
                        <resource_id>968</resource_id>
                 </case>
                 <case_default>
                        <select_option>Resolution.300dpi</select_option>
                        <resource_id>3996</resource_id>
                        <resource_id>3996</resource_id>
                        <resource_id>968</resource_id>
                     </case_default>
                  </switch>
               </macro>


               <!-- ========================================= -->
               <!--    Print Quality Import                   -->
               <!--   Mapping is as follows                   -->
               <!--   (a) Best         - PQGroup_1            -->
               <!--   (b) Normal       - PQGroup_2            -->
               <!--   (c) FastDraft    - PQGroup_3            -->
               <!--   (d) FastNormal   - PQGroup_4            -->
               <!--   (e) 4800x1200  - PQGroup_5              -->               
               <!-- Print Quality options have single level   -->
               <!-- association only                          -->
               <!-- ========================================= -->
               <macro>
                  <name>macro_PrintQualityImport</name>
                  <switch>
                     <name>PrintQualityImport</name>                     
                     <case>
                        <name>Best</name>
                        <map_option>PQGroup_1</map_option>
                     </case>
                     <case>
                        <name>Normal</name>
                        <map_option>PQGroup_2</map_option>
                     </case>
                     <case>
                        <name>FastDraft</name>
                        <map_option>PQGroup_3</map_option>
                     </case>
                     <case>
                        <name>FastNormal</name>
                        <map_option>PQGroup_4</map_option>
                     </case>
                     <case>
                        <name>4800x1200</name>
                        <map_option>PQGroup_5</map_option>
                     </case>                     
                  </switch>
                  <call>macro_PrintQualityGroup</call>
               </macro>
               <!-- ========================================= -->
               <!--    Print Quality Export                   -->
               <!--   Mapping is as follows                   -->
               <!--   (a) Best         - PQGroup_1            -->
               <!--   (b) Normal       - PQGroup_2            -->
               <!--   (c) FastDraft    - PQGroup_3            -->
               <!--   (d) FastNormal   - PQGroup_4            -->
               <!--   (e) 4800x1200  - PQGroup_5              -->               
               <!-- Print Quality options have single level   -->
               <!-- association only                          -->
               <!-- ========================================= -->
               <macro>
                  <name>macro_PrintQualityExport</name>
                  <switch>
                     <name>PrintQualityExport</name>
                     <case>
                        <name>PQGroup_1</name>
                        <unmap_option>Best</unmap_option>
                     </case>
                     <case>
                        <name>PQGroup_2</name>
                        <unmap_option>Normal</unmap_option>
                     </case>
                     <case>
                        <name>PQGroup_3</name>
                        <unmap_option>FastDraft</unmap_option>
                     </case>
                     <case>
                        <name>PQGroup_4</name>
                        <unmap_option>FastNormal</unmap_option>
                     </case>
                     <case>
                        <name>PQGroup_5</name>
                        <unmap_option>4800x1200</unmap_option>
                     </case>                     
                  </switch>
               </macro>

                 <macro>
                    <name>macro_pop_up_4800_1200_warning</name>
                    <title>3356</title>
                    <string_id>4657</string_id>
                    <butt1>849</butt1>
                    <message_type>MB_OK</message_type>
                    <showpopup>MSG_BOX</showpopup>
                </macro>
              <macro>
                <name>macro_pop_up_CustomPaper</name>
                <title>876</title> 
                <icon>MB_ICONWARNING</icon>
                <string_id>4254</string_id>    
                <message_type>MB_OK</message_type>                                     
                <showpopup>MSG_BOX</showpopup>                     
              </macro>
              <macro>
                <name>macro_custom_size</name>
                <option_name>min_width.76200</option_name>
                <option_name>max_width.215900</option_name>
                <option_name>min_length.127000</option_name>
                <option_name>max_length.594106</option_name>
              </macro>
            
            
             
           
              <macro>
              <name>macro_BannerMediaType_to_BannerPaperSize</name>
              <switch>
               <name>MediaType</name>
                <case>
                  <name>HP_BANNER_PAPER</name>
                  <select_option>PaperSize.HP_BANNER_LETTER</select_option>
                </case>
              </switch>  
              </macro>
              <macro>
              <name>macro_CD_DVD</name>
              <switch>
               <name>MediaType</name>
                <case>
                  <name>HP_CD_TATTOO_PAPER</name>
                  <select_option>HPMirrorPrint.True</select_option>
                </case>
              </switch>  
              </macro>
              <macro>
                <name>macro_ICCProfileFileName</name>
                <switch>
                    <name>MediaType</name>
                    <case>
                        <name>HP_PREMIUM_PAPER</name>
                        <call>macro_InstalledPenSet_Premium</call> 
                    </case>                    
                    <case>
                        <name>HP_PREMIUM_PLUS_PHOTO_PAPER</name>
                        <call>macro_InstalledPenSet_PremiumPlusPhoto</call> 
                    </case>
                    <case_default>
                      <select_option>HPICCProfileName.sRGB_0Color_0Space_0Profile_1icm</select_option>
                   </case_default>
                </switch>
              </macro>  
              <macro>
                <name>macro_InstalledPenSet_Premium</name>
                <switch>
                    <name>HPInstalledPrintCartridges</name>
                    <case>
                        <name>TRICOLOR_BLACK</name>
                        <select_option>HPICCProfileName.HP_0DJ_06900_2Prem_0Paper_3tricolor_5black_4_1icc</select_option>
                    </case>
                    <case>
                        <name>TRICOLOR_PHOTO</name>
                        <select_option>HPICCProfileName.HP_0DJ_06900_2Prem_0Paper_3tricolor_5photo_4_1icc</select_option>
                    </case>
                    <case>
                        <name>TRICOLOR_PHOTO_GRAY</name>
                        <select_option>HPICCProfileName.HP_0DJ_06900_2Prem_0Paper_3tricolor_5gray_4_1icc</select_option>
                    </case>
                    <case_default>
                      <select_option>HPICCProfileName.sRGB_0Color_0Space_0Profile_1icm</select_option>
                   </case_default>
                </switch>         
              </macro>

              <macro>
                <name>macro_InstalledPenSet_PremiumPlusPhoto</name>
                <switch>
                    <name>HPInstalledPrintCartridges</name>
                    <case>
                        <name>TRICOLOR_BLACK</name>
                        <select_option>HPICCProfileName.HP_0DJ_06900_2Prem_0Plus_0Photo_3tricolor_5black_4_1icc</select_option>
                    </case>
                    <case>
                        <name>TRICOLOR_PHOTO</name>
                        <select_option>HPICCProfileName.HP_0DJ_06900_2Prem_0Plus_0Photo_3tricolor_5photo_4_1icc</select_option>
                    </case>
                    <case>
                        <name>TRICOLOR_PHOTO_GRAY</name>
                        <select_option>HPICCProfileName.HP_0DJ_06900_2Prem_0Plus_0Photo_3tricolor_5gray_4_1icc</select_option>
                    </case>
                    <case_default>
                      <select_option>HPICCProfileName.sRGB_0Color_0Space_0Profile_1icm</select_option>
                   </case_default>
                </switch>         
              </macro>             
              
            </macros>
            <presets>
                <presetenglish>
                    <name> Default Print Settings</name> 
                    <resource_id>3041</resource_id> 
                    <setting>MediaType.AUTOMATIC</setting>
                    <setting>PrintQualityGroup.PQGroup_2</setting> 
                    <setting>PrintQuality.Normal</setting>
                    <setting>Resolution.600dpi</setting>     
                </presetenglish>
                
                <presetenglish>
                    <name>2 pages printed on one sheet</name> 
                    <resource_id>3358</resource_id>                     
                    <setting>PaperSize.LETTER</setting>
                    <setting>MediaType.Automatic</setting>
                            
                </presetenglish>
               
           <presetenglish>
                <name>Two-sided printing-automatically from main tray</name>
                <resource_id>-1</resource_id>
                <setting>PaperSize.LETTER</setting>
                <setting>MediaType.PLAIN</setting>
                <setting>PageOrder.BackToFront</setting> 
               
            </presetenglish>
  
              <presetenglish>
                  <name>Borderless photo, 8.5x11 in</name> 
                  <resource_id>4798</resource_id> 
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PaperSize.HP_BORDERLESS_8_5_X_11_IN</setting>
                  <setting>TargetSizeChoice.LETTER</setting>
                  <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting> 
                  <setting>PrintQualityGroup.PQGroup_1</setting>
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                </presetenglish>

              <presetenglish>
                    <name>borderless photo, 4x6 in</name> 
                    <resource_id>3395</resource_id> 
                    <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>
                    <setting>PaperSize.HP_BORDERLESS_PHOTO_4_X_6_IN</setting>
                    <setting>PrintQualityGroup.PQGroup_1</setting> 
                    <setting>PrintQuality.Best</setting>
                    <setting>InputBin.UpperTray</setting>
                    <setting>PageOrder.FrontToBack</setting>                  
                 </presetenglish>
            
                <presetenglish>
                  <name>Borderless photo, 4x6 in,with tab</name> 
                  <resource_id>3396</resource_id> 
                  <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting> 
                  <setting>PaperSize.HP_BORDERLESS_PHOTO_4_X_6_IN_WT</setting>
                  <setting>TargetSizeChoice.PHOTO_4X6_IN_WT</setting>
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
              </presetenglish>
    
               <presetenglish>
                  <name>Draft text or text with color printing</name>
                  <resource_id>3357</resource_id>
                  <setting>PaperSize.LETTER</setting>
                  <setting>MediaType.AUTOMATIC</setting>
                 
                </presetenglish>
           
   
              <presetenglish>
                    <name>Professional photo-quality printing</name> 
                    <resource_id>3354</resource_id> 
                    <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>
                    <setting>PaperSize.LETTER</setting>
                    
                 </presetenglish>
                 
                 <presetenglish>
                    <name>Professional text and graphics</name> 
                    <resource_id>4796</resource_id> 
                    <setting>MediaType.AUTOMATIC</setting>
                     <setting>PaperSize.LETTER</setting>
                    <setting>PrintQualityGroup.PQGroup_1</setting> 
                  
                 </presetenglish>
    
           <presetenglish>
            <name>4800 x 1200-optimized dpi photo printing</name>
            <resource_id>3356</resource_id>
            <setting>PaperSize.A4</setting>
            <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>
           </presetenglish>
    
            <presetenglish>
                  <name>photo with white border, 4x6 in</name> 
                    <resource_id>4797</resource_id> 
                    <setting>PaperSize.LETTER</setting>
                    <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>
                    <setting>TargetSizeChoice.PHOTO_4X6_IN_WT</setting>
                </presetenglish>
             
             <presetenglish>
                    <name>photo with white border, 8.5x11 in</name> 
                    <resource_id>4799</resource_id> 
                    <setting>PaperSize.LETTER</setting>
                    <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>               
                </presetenglish>
           
           
           
           


             <presetjapanese>
                    <name> Default Print Settings</name> 
                    <resource_id>3041</resource_id> 
                    <setting>MediaType.AUTOMATIC</setting>
                    <setting>PrintQualityGroup.PQGroup_2</setting> 
                    <setting>PrintQuality.Normal</setting>
                    <setting>Resolution.600dpi</setting>     
                </presetjapanese>
                
                <presetjapanese>
                    <name>2 pages printed on one sheet</name> 
                    <resource_id>3358</resource_id>                     
                    <setting>PaperSize.LETTER</setting>
                    <setting>MediaType.Automatic</setting>
                            
                </presetjapanese>
               
           <presetjapanese>
                <name>Two-sided printing-automatically from main tray</name>
                <resource_id>-1</resource_id>
                <setting>PaperSize.LETTER</setting>
                <setting>MediaType.PLAIN</setting>
                <setting>PageOrder.BackToFront</setting> 
               
            </presetjapanese>
  
              <presetjapanese>
                  <name>Borderless photo, 8.5x11 in</name> 
                  <resource_id>4798</resource_id> 
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PaperSize.HP_BORDERLESS_8_5_X_11_IN</setting>
                  <setting>TargetSizeChoice.LETTER</setting>
                  <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting> 
                  <setting>PrintQualityGroup.PQGroup_1</setting>
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                </presetjapanese>

              <presetjapanese>
                    <name>borderless photo, 4x6 in</name> 
                    <resource_id>3395</resource_id> 
                    <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>
                    <setting>PaperSize.HP_BORDERLESS_PHOTO_4_X_6_IN</setting>
                    <setting>PrintQualityGroup.PQGroup_1</setting> 
                    <setting>PrintQuality.Best</setting>
                    <setting>InputBin.UpperTray</setting>
                    <setting>PageOrder.FrontToBack</setting>                  
                 </presetjapanese>
            
                <presetjapanese>
                  <name>Borderless photo, 4x6 in,with tab</name> 
                  <resource_id>3396</resource_id> 
                  <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting> 
                  <setting>PaperSize.HP_BORDERLESS_PHOTO_4_X_6_IN_WT</setting>
                  <setting>TargetSizeChoice.PHOTO_4X6_IN_WT</setting>
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
              </presetjapanese>
    
               <presetjapanese>
                  <name>Draft text or text with color printing</name>
                  <resource_id>3357</resource_id>
                  <setting>PaperSize.LETTER</setting>
                  <setting>MediaType.AUTOMATIC</setting>                 
                </presetjapanese>
           
   
              <presetjapanese>
                    <name>Professional photo-quality printing</name> 
                    <resource_id>3354</resource_id> 
                    <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>
                    <setting>PaperSize.LETTER</setting>                    
                 </presetjapanese>
                 
                 <presetjapanese>
                    <name>Professional text and graphics</name> 
                    <resource_id>4796</resource_id> 
                    <setting>MediaType.AUTOMATIC</setting>
                     <setting>PaperSize.LETTER</setting>
                    <setting>PrintQualityGroup.PQGroup_1</setting>                  
                 </presetjapanese>
    
           <presetjapanese>
            <name>4800 x 1200-optimized dpi photo printing</name>
            <resource_id>3356</resource_id>
            <setting>PaperSize.A4</setting>
            <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>
           </presetjapanese>
    
            <presetjapanese>
                  <name>photo with white border, 4x6 in</name> 
                    <resource_id>4797</resource_id> 
                    <setting>PaperSize.LETTER</setting>
                    <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>
                    <setting>PaperSize.PHOTO_4X6_IN_WT</setting>
                </presetjapanese>
             
             <presetjapanese>
                    <name>photo with white border, 8.5x11 in</name> 
                    <resource_id>4799</resource_id> 
                    <setting>PaperSize.LETTER</setting>
                    <setting>MediaType.HP_PREMIUM_PLUS_PHOTO_GLOSSY</setting>               
                </presetjapanese>     
        
           </presets>


               <!-- Start - Locale Specific Device Setting defaults =============== -->
            <!-- End =============== -->
            <groups>
          <group>
            <groupname>PaperType</groupname>
            <resource_id>3152</resource_id>
            <name>AUTOMATIC</name>
			<name>PLAIN</name>
            
            
			<subgroup>
              <subgroupname>Inkjet Papers</subgroupname>
              <resource_id>3120</resource_id>                   
                            
              <name>HP_BRIGHT_WHITE_PAPER</name>
             <name>HP_PREMIUM_PAPER</name>
              <name>OTHER_INKJET_PAPERS</name>
            </subgroup>
            <subgroup>
              <subgroupname>Photo Papers</subgroupname>
              <resource_id>3121</resource_id>
              <name>HP_PREMIUM_PLUS_PHOTO_GLOSSY</name>
              <name>HP_PREMIUM_PLUS_PHOTO_MATTE</name>

              <name>HP_COLORFAST_PHOTO_PAPER_GLOSSY</name>
              <name>HP_PREMIUM_PHOTO_PAPER_GLOSSY</name>
			  <name>HP_PHOTO_PAPER_GLOSSY</name>
			  <name>HP_EVERYDAY_PHOTO_PAPER_MATTE</name>
              <name>HP_PREMIUM_HIGH_GLOSS_FILM</name>              
              <name>OTHER_PHOTO_PAPER</name>         
             </subgroup>
            <subgroup>
              <subgroupname>Transparency Films</subgroupname>
              <resource_id>3122</resource_id>
              <name>HP_PREMIUM_INKJET_TRANSPARENCY</name>
			  <name>HP_PREMIUM_PLUS_INKJET_TRANSPARENCY</name>              
              <name>OTHER_TRANSPARENCY_FILMS</name>
            </subgroup>
            <subgroup>
              <subgroupname>Specialty Paper</subgroupname>
              <resource_id>3123</resource_id>
              <name>HP_IRON_ON_TRANSFER</name>  
			  <name>OTHER_SPECIALTY_PAPERS</name>                          
            </subgroup>            
            <subgroup>
              <subgroupname>Greeting Cards</subgroupname>
              <resource_id>3124</resource_id>    
              <name>HP_MATTE_GREETING_CARDS</name>
                 <name>HP_PHOTO_GREETING_CARDS</name> 
				  <name>HP_TEXTURED_GREETING_CARDS</name>
				  <name>HP_LINEN_GREETING_CARDS</name>
					<name>OTHER_GREETING_CARDS</name>
            </subgroup>
            <subgroup>
              <subgroupname>Brochure Papers</subgroupname>
              <resource_id>3125</resource_id> 
			  <name>HP_BROCHURE_FLYER_GLOSS</name>             
              <name>HP_PROFESSIONAL_BROCHURE_MATTE</name>
			  <name>HP_TRIFOLD_BROCHURE_PAPER_GLOSSY</name>
              <name>OTHER_BROCHURE_PAPERS</name>            
            </subgroup>
           </group>
         </groups>
      <BorderlessSettings>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_4_X_6_IN</Borderless_Paper>
               <Paper>LETTER</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_4_X_6_IN_WT</Borderless_Paper>
               <Paper>PHOTO_4X6_IN_WT</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.118</Overspray_Bottom>
      </Borderless>
    
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_8_5_X_11_IN</Borderless_Paper>
               <Paper>LETTER</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.096</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_10_X_15_CM</Borderless_Paper>
               <Paper>10_X_15</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_10_X_15_CM_WT</Borderless_Paper>
               <Paper>10_X_15_CM_WT</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.118</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_13_X_18</Borderless_Paper>
               <Paper>13_X_18_CM</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.089</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_5_X_7_IN</Borderless_Paper>
               <Paper>5_X_7_IN</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.089</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_8_X_10</Borderless_Paper>
               <Paper>8_X_10_IN</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.089</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_A4</Borderless_Paper>
               <Paper>A4</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_A5</Borderless_Paper>
               <Paper>A5</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_A6</Borderless_Paper>
               <Paper>A6</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_DOUBLE_A4</Borderless_Paper>
               <Paper>HP_PANORAMA_DOUBLE_A4</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PANORAMA_10x25</Borderless_Paper>
               <Paper>HP_PANORAMA_10_X_25</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PANORAMA_10x28</Borderless_Paper>
               <Paper>HP_PANORAMA_10_X_28</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PANORAMA_10x30</Borderless_Paper>
               <Paper>HP_PANORAMA_10_X_30</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_PANORAMA_4_X_10_IN</Borderless_Paper>
               <Paper>HP_PANORAMA_4_x_10</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_PANORAMA_4_X_11_IN</Borderless_Paper>
               <Paper>HP_PANORAMA_4_x_11</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_PANORAMA_4_X_12_IN</Borderless_Paper>
               <Paper>HP_PANORAMA_4_x_12</Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>
      </Borderless>
      <Borderless>
               <Borderless_Paper>CUSTOMSIZE</Borderless_Paper>
               <Overspray_Left>0.098</Overspray_Left>
               <Overspray_Right>0.118</Overspray_Right>
               <Overspray_Top>0.051</Overspray_Top>
               <Overspray_Bottom>0.093</Overspray_Bottom>         
      </Borderless>      
      </BorderlessSettings>
     <JobUIEventInfo>
            <JobUIEvent>
                    <Name>JOBID_AUTODUPLEX_UNIT</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckAutoDuplexerUnit</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_BLACKPRINT_PHOTOCARTRIDGE</Name>
                    <EntryPoint>E_NEXTBAND</EntryPoint>
                    <FunctionPtr>pfnCheckBlackPrintWithOnlyPhotoCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_PHOTOMEDIA_BLACKCARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckPhotoMediaWithOnlyBlackCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_ BORDERLESS_BLACKCARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckBorderlessWithOnlyBlackCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_COLOR_NONHP_INK</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckColorNonHpInk</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_BLACK_NONHP_INK</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckBlackNonHpInk</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_PHOTO_NONHP_INK</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckPhotoNonHpInk</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_GRAY_NONHP_INK</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckGrayNonHpInk</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_COLOR_NONHP_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckColorNonHpCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_BLACK_NONHP_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckBlackNonHpCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_PHOTO_NONHP_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckPhotoNonHpCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_GRAY_NONHP_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckGrayNonHpCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_COLOR_USED_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckColorUsedCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_BLACK_USED_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckBlackUsedCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_PHOTO_USED_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckPhotoUsedCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_GRAY_USED_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckGrayUsedCartridge</FunctionPtr>
            </JobUIEvent>
        </JobUIEventInfo>
   </helper>
  </component>
  </software>
</device>
